.hk-currency-switcher {
  position: relative;
  display: inline-block;
  font-family: inherit;
  z-index: 1;
}
.hk-currency-toggle {
  padding-top: 01rem;
  padding-right: 01rem;
  padding-bottom: 01rem;
  padding-left: 01rem;
  border-radius: 50%;
  background-color: var(--bricks-color-rqtngm);
  box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.1);
}
.hk-currency-dropdown {
  position: absolute;
  top: calc(100% + 4px);
  right: 50%;
  transform: translateX(50%) translateY(-10px);
  min-width: 100px;
  background: #fff;
  text-align: right;
  border: 1px solid #e5e7eb;
  border-radius: 8px;
  box-shadow:
    0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05);
  padding: 4px;
  overflow: hidden;
  opacity: 0;
  pointer-events: none;

  will-change: opacity, transform;
  transition:
    200ms opacity,
    400ms transform;

  &[data-open] {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0) translateX(50%);
  }
}
.hk-currency-item {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 0.5rem 1rem;
  cursor: pointer;
  font-size: 14px;
  color: #4b5563;
  border-radius: 6px;
  transition: background 0.2s ease;
  text-decoration: none;
}
.hk-currency-item:hover {
  background: #f3f4f6;
  color: #111827;
}
.hk-currency-item.is-active {
  background: var(--bricks-color-kmkvka);
  color: #fff;
  font-weight: 600;
}
.hk-currency-switcher[x-data] [x-cloak] {
  display: none !important;
}

@media (max-width: 478px) {
  .hk-currency-toggle {
    display: none;
  }

  .hk-currency-dropdown {
    position: static;
    display: flex !important;
    flex-wrap: wrap;
    gap: 8px;
    background: transparent;
    border: none;
    box-shadow: none;
    padding: 0;
    transform: none;
    width: 100%;
    justify-content: start;
    opacity: 1;
    pointer-events: auto;
    transition: none;
    transform: none;
  }

  .hk-currency-item {
    border: 1px solid #e5e7eb;
    background: #fff;
    padding: 6px 12px;
    border-radius: 20px;
    font-size: 13px;
  }

  .hk-currency-item.is-active {
    background: var(--bricks-color-kmkvka);
    border-color: var(--bricks-color-kmkvka);
    color: #fff;
  }
}
